package com.gz.core.mybatis;

import cn.hutool.core.util.IdUtil;
import tk.mybatis.mapper.genid.GenId;

/**
 * Mybatis 自定义UUID主键生成规则
 * @author LiuchangLan
 * @date 2021/1/12 15:25
 */
public class UUIDGenId implements GenId<String> {
    @Override
    public String genId(String s, String s1) {
        return IdUtil.simpleUUID();
    }
}
